### Method

# Gtk Actionable set_action_target

#### Declaration [src]

    void
    gtk_actionable_set_action_target (
      GtkActionable* actionable,
      const char* format_string,
      ...
    )

#### Description [src]

Sets the target of an actionable widget.

This is a convenience function that calls g_variant_new() for `format_string` and uses the result to call gtk_actionable_set_action_target_value().

If you are setting a string-valued target and want to set the action name at the same time, you can use gtk_actionable_set_detailed_action_name().

#### Parameters

`format_string` | `const char*`
| A GVariant format string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Arguments appropriate for `format_string`.